Fresh install of the new Jetpack with errors

Hi on a brand new jetson TX2, and installing everything that is available on TX2, I encounter the following error: (It seems that the installation is not adding the corresponding keys to the apt)

Get:22 http://ppa.launchpad.net/git-core/ppa/ubuntu xenial/main Translation-en [2,604 B]              
Reading package lists... Done                       
W: GPG error: file:/var/cuda-repo-9-0-local  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY F60F4B3D7FA2AF80
E: The repository 'file:/var/cuda-repo-9-0-local  Release' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: file:/var/nv-tensorrt-repo-ga-cuda9.0-trt3.0.4-20180208  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY F60F4B3D7FA2AF80
E: The repository 'file:/var/nv-tensorrt-repo-ga-cuda9.0-trt3.0.4-20180208  Release' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Also since the RC I have encounter that if I tell jetpack not to install anything on my host machine, it actually add the aarch64 architecture to my machine. Why is that ? I’m using a fresh ubuntu vanilla LTS

I haven’t checked out the full R28.2 install yet (probably this next weekend after spending time doing some cloning), but the case of seeing aarch64 on a PC host is that the development tools for cross compiling are of this architecture. The aarch64 is marked as a “foreign” architecture though…your system will not use these on itself. These tools execute in an x86_64 environment, but produce output for aarch64…it isn’t an error. If you don’t install sample programs (and don’t need to install tools for cross compiling), then the foreign architecture won’t be added.

Hi davidnet,

Before JetPack install, please check your system requirements first.
Your host platform should be Ubuntu Linux x64 v14.04 or v16.04.

Reference link: http://docs.nvidia.com/jetpack-l4t/content/developertools/mobile/jetpack/l4t/3.2/install.htm?tocpath=_____3#System_Requirements

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys F60F4B3D7FA2AF80

seems to help against “NO_PUBKEY F60F4B3D7FA2AF80”